/* istanbul ignore file */
/* tslint:disable */
/* eslint-disable */
import type { AccountId } from "../models/AccountId";
import type { Partial_CachePolicy_ } from "../models/Partial_CachePolicy_";
import { request as __request } from "../core/request";

export class CachingService {
  /**
   * Creates a new public or secret API key for the account.
   * @param accountId
   * @param requestBody
   * @returns any Success.
   * @throws ApiError
   */
  public static async setDefaultCachePolicy(accountId: AccountId, requestBody: Partial_CachePolicy_): Promise<any> {
    const result = await __request({
      method: "PUT",
      path: `/v1/accounts/${accountId}/caching/default_policy`,
      body: requestBody,
      mediaType: "application/json",
      errors: {
        401: `Unauthenticated.`,
        403: `Unauthorized.`
      }
    });
    return result.body;
  }
}
